Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoAssemblyName.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>
              com.nativelibs4java.mono.MonoAssemblyName
                  com.nativelibs4java.mono.MonoAssemblyName.ByReference

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByReference, java.lang.Comparable<Structure<MonoAssemblyName,MonoAssemblyName.ByValue,MonoAssemblyName.ByReference>>

Enclosing class:
  MonoAssemblyName

    public static class MonoAssemblyName.ByReference

extends MonoAssemblyName
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoAssemblyName
`MonoAssemblyName.ByReference, MonoAssemblyName.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoAssemblyName
`build, culture, flags, hash_alg, hash_len, hash_value, major, minor, name, public_key, public_key_token, revision`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoAssemblyName.ByReference()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoAssemblyName
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoAssemblyName.ByReference

    public MonoAssemblyName.ByReference()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD